#2714 closed defect (fixed)

A pthread_detach() does not lead to a resource reclamation

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

According to POSIX a pthread_detach() should lead to a resource reclamation if the thread is already cancelled.

Change History (6)

comment:1 Changed on May 17, 2016 at 9:00:36 AM by Sebastian Huber <sebastian.huber@…>

In 9d8ee11e55a0c9e515409f40900917a58d3bf6cc/rtems:

psxtests/psxcancel: Add pthread_detach() tests

Update #2714.

comment:2 Changed on May 20, 2016 at 5:56:37 AM by Sebastian Huber <sebastian.huber@…>

In 12a1228c593166069ac316f91865bdd9bb812ba1/rtems:

psxclassic01: Assume correct pthread_detach()

Update #2714.

comment:3 Changed on May 20, 2016 at 5:59:18 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 54550e048d3a49435912797d2024f80671e93267/rtems:

posix: Rework pthread_join()

Rework pthread_join() to use _Thread_Join().

Close #2402.
Update #2555.
Update #2626.
Close #2714.

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Oct 16, 2017 at 6:23:11 AM by Sebastian Huber

Component: unspecifiedposix

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.